Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2001787 - Use default Finnish xkb-converted layout
Summary: Use default Finnish xkb-converted layout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-09-07 07:55 UTC by Marko Myllynen
Modified: 2021-10-11 22:28 UTC (History)
2 users (show)

Fixed In Version: kbd-2.4.0-7.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-11 22:28:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Remove special Finnish keymap handling (deleted)
2021-09-07 07:55 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2021-09-07 07:55:20 UTC
Created attachment 1821078 [details]
Remove special Finnish keymap handling

Description of problem:
Earlier Finnish national keyboard standard SFS 5966 required AltGr+space to produce no-break space which caused issues for people typing fast. For this reason the default console keymap was changed, see https://bugzilla.redhat.com/show_bug.cgi?id=1117891.

Since then the SFS 5966:2019 update allows AltGr+space to produce regular space and that change has been implemented in xkeyboard-config upstream already: https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/commit/ab42f62a054301c28cad0998c9c94af801525bbc.

This change will also remove the need to install the kbd-legacy package when using Finnish keyboard so it seems prudent to just remove the special casing.

Patch attached. Please let me know if you need more background information or anything else. Thanks.

Comment 1 Vitezslav Crhonek 2021-09-13 13:27:50 UTC
I see, applied. Thanks!

Comment 2 Marko Myllynen 2021-09-30 14:57:49 UTC
Vitezslav, I think it would be good to fix this in F35 too. Can you push it to F35, or do you want an FE bug to do that?

Comment 3 Vitezslav Crhonek 2021-10-04 07:16:24 UTC
Hi Marko, sure, there's no need of new bug, I'll do that.

Comment 4 Fedora Update System 2021-10-04 07:50:14 UTC
FEDORA-2021-029b1ffb9a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-029b1ffb9a

Comment 5 Fedora Update System 2021-10-05 15:16:12 UTC
FEDORA-2021-029b1ffb9a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-029b1ffb9a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-029b1ffb9a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Adam Williamson 2021-10-07 20:21:02 UTC
Re-opening and proposing as an FE for F35. per https://bugzilla.redhat.com/show_bug.cgi?id=2003937 , we'd also want an anaconda build in the update to fully resolve the issue.

Comment 7 Fedora Update System 2021-10-08 21:55:26 UTC
FEDORA-2021-1ed69b42b0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1ed69b42b0

Comment 8 Fedora Update System 2021-10-09 17:32:58 UTC
FEDORA-2021-1ed69b42b0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1ed69b42b0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1ed69b42b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Adam Williamson 2021-10-11 15:58:55 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/527 , marking accepted.

Comment 10 Fedora Update System 2021-10-11 22:28:22 UTC
FEDORA-2021-029b1ffb9a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-10-11 22:28:59 UTC
FEDORA-2021-1ed69b42b0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.